rpms/pinot/F-8 configure-ssl-curl-libs.patch, NONE, 1.1 pinot.spec, 1.12, 1.13

Adel Gadllah (drago01) fedora-extras-commits at redhat.com
Sun Oct 21 11:46:06 UTC 2007


Author: drago01

Update of /cvs/pkgs/rpms/pinot/F-8
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv23119

Modified Files:
	pinot.spec 
Added Files:
	configure-ssl-curl-libs.patch 
Log Message:
build problems fixed ;) so backport to F8

configure-ssl-curl-libs.patch:

--- NEW FILE configure-ssl-curl-libs.patch ---
diff -upNr pinot-0.76.orign/configure pinot-0.76/configure
--- pinot-0.76.orign/configure	2007-08-22 15:56:32.000000000 +0200
+++ pinot-0.76/configure	2007-10-21 13:21:11.000000000 +0200
@@ -23873,6 +23873,117 @@ else
    EXTRA_HTTP_CFLAGS="-DUSE_CURL -DUSE_SSL"
    { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for SSL" >&5
+echo $ECHO_N "checking for SSL... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$SSL_CFLAGS"; then
+        pkg_cv_SSL_CFLAGS="$SSL_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.7 \"") >&5
+  ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.7 ") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_SSL_CFLAGS=`$PKG_CONFIG --cflags "openssl >= 0.9.7 " 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$SSL_LIBS"; then
+        pkg_cv_SSL_LIBS="$SSL_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.7 \"") >&5
+  ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.7 ") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_SSL_LIBS=`$PKG_CONFIG --libs "openssl >= 0.9.7 " 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        SSL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openssl >= 0.9.7 "`
+        else
+	        SSL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openssl >= 0.9.7 "`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$SSL_PKG_ERRORS" >&5
+
+	{ { echo "$as_me:$LINENO: error: Package requirements (openssl >= 0.9.7 ) were not met:
+
+$SSL_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables SSL_CFLAGS
+and SSL_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (openssl >= 0.9.7 ) were not met:
+
+$SSL_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables SSL_CFLAGS
+and SSL_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables SSL_CFLAGS
+and SSL_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables SSL_CFLAGS
+and SSL_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+else
+	SSL_CFLAGS=$pkg_cv_SSL_CFLAGS
+	SSL_LIBS=$pkg_cv_SSL_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	:
+fi
 fi
 HTTP_DOWNLOADER="CurlDownloader"
 ;;
@@ -25360,8 +25471,8 @@ echo "${ECHO_T}yes" >&6; }
 fi
 
 
-HTTP_CFLAGS="$NEON_CFLAGS $SSL_CFLAGS $CURL_CFLAGS $EXTRA_HTTP_CFLAGS"
-HTTP_LIBS="$NEON_LIBS $SSL_LIBS $CURL_LIBS"
+HTTP_CFLAGS="$NEON_CFLAGS $CURL_CFLAGS $SSL_CFLAGS $EXTRA_HTTP_CFLAGS"
+HTTP_LIBS="$NEON_LIBS $CURL_LIBS $SSL_LIBS"
 
 
 


Index: pinot.spec
===================================================================
RCS file: /cvs/pkgs/rpms/pinot/F-8/pinot.spec,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- pinot.spec	21 Oct 2007 08:52:15 -0000	1.12
+++ pinot.spec	21 Oct 2007 11:45:34 -0000	1.13
@@ -9,6 +9,7 @@
 Source0: http://download2.berlios.de/pinot/%{name}-%{version}.tar.gz  
 Patch0: fix_lang_detect.patch
 Patch1: dbusxapianindex_reload03.patch
+Patch2: configure-ssl-curl-libs.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: sqlite-devel >= 3.3.1
@@ -53,6 +54,7 @@
 %setup -q 
 %patch0 -p1 -b .lang_detect
 %patch1 -p1 -b .dbus_reload
+%patch2 -p1 -b .configure_openssl
 
 %build
 %configure
@@ -115,6 +117,9 @@
 %{_libdir}/deskbar-applet/handlers/pinot-*
 
 %changelog
+* Sun Oct 21 2007 Adel Gadllah <adel.gadllah at gmail.com> 0.76-4
+- Add patch from upstream to fix build
+
 * Sat Oct 20 2007 Adel Gadllah <adel.gadllah at gmail.com> 0.76-3
 - Fix BuildRequires
 




More information about the fedora-extras-commits mailing list